function [rr_pos,rr_neg]=recurr_intervals(y,thr);


thr=input('q=');%
n=length(y);
times_pos=[];
times_neg=[];
for i=2:n
    if (y(i)>thr)&&(y(i-1)<thr)
        times_pos=[times_pos,i];
    end
    if (y(i)<thr)&&(y(i-1)>thr)
        times_pos=[times_pos,i];
    end
    if (y(i)<-thr)&&(y(i-1)>-thr)
        times_neg=[times_neg,i];
    end
    if (y(i)>-thr)&&(y(i-1)<-thr)
        times_neg=[times_neg,i];
    end
end
n_pos=length(times_pos);
if (n_pos)>1
    rr_pos=times_pos(2:n_pos)-times_pos(1:n_pos-1);
else
    rr_pos=[];
end
n_neg=length(times_neg);
if (n_neg)>1
    rr_neg=times_neg(2:n_neg)-times_neg(1:n_neg-1);
else
    rr_neg=[];
end